Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1662056 - Add route annotation to configure individual "timeout connect" option in haproxy config in router [NEEDINFO]
Summary: Add route annotation to configure individual "timeout connect" option in hapr...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Ben Bennett
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-25 16:58 UTC by Anshul Verma
Modified: 2019-11-21 12:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-21 12:55:58 UTC
Target Upstream Version:
ansverma: needinfo? (bbennett)
ansverma: needinfo? (bbennett)
ansverma: needinfo? (bbennett)


Attachments (Terms of Use)

Description Anshul Verma 2018-12-25 16:58:13 UTC
- What is the nature and description of the request?
Similar to the new "haproxy.router.openshift.io/pod-concurrent-connections" annotation, it would be useful to be able to configure individual values for the "connect timeout" HAproxy-option per route. Currently, it's only possible to configure this on a "router" scope using  ROUTER_DEFAULT_CONNECT_TIMEOUT - however, I don't want to change the value for all routes, just for select ones.

- Why does the customer need this? (List the business requirements here)
Our developers have migrated an old application to openshift, that is single-threaded, parallelization is achieved through pod replication. With the newly introduced "pod-concurrent-connections" annotation it's now possible to limit the connections to "maximum 1 per pod at any time". If however for N pods there are N+1 incoming connections, the remaining connection will be 503'ed after 5seconds instead of staying in the queue until there's a free connection slot available.

- How would the customer like to achieve this? (List the functional requirements here)
Being able to set a "timeout connect" value per-route (instead of only per-router)

- Would the customer be able to assist in testing this functionality if implemented?
Yes!

Comment 3 Kirsten Newcomer 2019-06-12 10:52:04 UTC
With the introduction of OpenShift 4, Red Hat has delivered or roadmapped a substantial number of features based on feedback by our customers.  Many of the enhancements encompass specific RFEs which have been requested, or deliver a comparable solution to a customer problem, rendering an RFE redundant.

This bz (RFE) has been identified as a feature request not yet planned or scheduled for an OpenShift release and is being closed. 

If this feature is still an active request that needs to be tracked, Red Hat Support can assist in filing a request in the new JIRA RFE system, as well as provide you with updates as the RFE progress within our planning processes. Please open a new support case: https://access.redhat.com/support/cases/#/case/new 

Opening a New Support Case: https://access.redhat.com/support/cases/#/case/new 

As the new Jira RFE system is not yet public, Red Hat Support can help answer your questions about your RFEs via the same support case system.

Comment 7 Stephen Cuppett 2019-11-21 12:55:58 UTC
OCP 3.6-3.10 is no longer on full support [1]. Marking un-triaged bugs CLOSED DEFERRED. If you have a customer case with a support exception or have reproduced on 3.11+, please reopen and include those details. When reopening, please set the Version to the appropriate version where reproduced.

[1]: https://access.redhat.com/support/policy/updates/openshift


Note You need to log in before you can comment on or make changes to this bug.